Index: testsuites/libtests/cpuuse/Makefile.am
===================================================================
--- testsuites/libtests/cpuuse/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/libtests/cpuuse/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 cpuuse_exe_SOURCES = init.c task1.c task2.c task3.c tswitch.c system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = cpuuse.scn
+dist_rtems_tests_DATA = cpuuse.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/libtests/malloctest/Makefile.am
===================================================================
--- testsuites/libtests/malloctest/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/libtests/malloctest/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 malloctest_exe_SOURCES = init.c task1.c system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = malloctest.scn
+dist_rtems_tests_DATA = malloctest.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/libtests/rtems++/Makefile.am
===================================================================
--- testsuites/libtests/rtems++/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/libtests/rtems++/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -10,8 +10,6 @@
 endif
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = rtems++.scn
-docdir = $(rtems_testsdir)
-dist_doc_DATA = rtems++.doc
+dist_rtems_tests_DATA = rtems++.scn
+dist_rtems_tests_DATA += rtems++.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/libtests/rtmonuse/Makefile.am
===================================================================
--- testsuites/libtests/rtmonuse/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/libtests/rtmonuse/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 rtmonuse_exe_SOURCES = init.c getall.c task1.c system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = rtmonuse.scn
+dist_rtems_tests_DATA = rtmonuse.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/libtests/stackchk/Makefile.am
===================================================================
--- testsuites/libtests/stackchk/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/libtests/stackchk/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 stackchk_exe_SOURCES = blow.c init.c task1.c system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = stackchk.scn
+dist_rtems_tests_DATA = stackchk.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx01/Makefile.am
===================================================================
--- testsuites/psxtests/psx01/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx01/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx01_exe_SOURCES = init.c task.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx01.scn
+dist_rtems_tests_DATA = psx01.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx02/Makefile.am
===================================================================
--- testsuites/psxtests/psx02/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx02/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx02_exe_SOURCES = init.c task.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx02.scn
+dist_rtems_tests_DATA = psx02.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx03/Makefile.am
===================================================================
--- testsuites/psxtests/psx03/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx03/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx03_exe_SOURCES = init.c task.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx03.scn
+dist_rtems_tests_DATA = psx03.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx04/Makefile.am
===================================================================
--- testsuites/psxtests/psx04/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx04/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx04_exe_SOURCES = init.c task1.c task2.c task3.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx04.scn
+dist_rtems_tests_DATA = psx04.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx05/Makefile.am
===================================================================
--- testsuites/psxtests/psx05/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx05/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx05_exe_SOURCES = init.c task.c task2.c task3.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx05.scn
+dist_rtems_tests_DATA = psx05.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx06/Makefile.am
===================================================================
--- testsuites/psxtests/psx06/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx06/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx06_exe_SOURCES = init.c task.c task2.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx06.scn
+dist_rtems_tests_DATA = psx06.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx07/Makefile.am
===================================================================
--- testsuites/psxtests/psx07/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx07/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx07_exe_SOURCES = init.c task.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx07.scn
+dist_rtems_tests_DATA = psx07.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx08/Makefile.am
===================================================================
--- testsuites/psxtests/psx08/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx08/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx08_exe_SOURCES = init.c task1.c task2.c task3.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx08.scn
+dist_rtems_tests_DATA = psx08.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx09/Makefile.am
===================================================================
--- testsuites/psxtests/psx09/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx09/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx09_exe_SOURCES = init.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx09.scn
+dist_rtems_tests_DATA = psx09.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx10/Makefile.am
===================================================================
--- testsuites/psxtests/psx10/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx10/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx10_exe_SOURCES = init.c task.c task2.c task3.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx10.scn
+dist_rtems_tests_DATA = psx10.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx11/Makefile.am
===================================================================
--- testsuites/psxtests/psx11/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx11/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx11_exe_SOURCES = init.c task.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx11.scn
+dist_rtems_tests_DATA = psx11.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx12/Makefile.am
===================================================================
--- testsuites/psxtests/psx12/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx12/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx12_exe_SOURCES = init.c task.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx12.scn
+dist_rtems_tests_DATA = psx12.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psx13/Makefile.am
===================================================================
--- testsuites/psxtests/psx13/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psx13/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psx13_exe_SOURCES = main.c test.c ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psx13.scn
+dist_rtems_tests_DATA = psx13.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psxcancel/Makefile.am
===================================================================
--- testsuites/psxtests/psxcancel/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psxcancel/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psxcancel_exe_SOURCES = init.c ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psxcancel.scn
+dist_rtems_tests_DATA = psxcancel.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psxchroot01/Makefile.am
===================================================================
--- testsuites/psxtests/psxchroot01/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psxchroot01/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psxchroot01_exe_SOURCES = main.c test.c ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psxchroot01.scn
+dist_rtems_tests_DATA = psxchroot01.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psxfile01/Makefile.am
===================================================================
--- testsuites/psxtests/psxfile01/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psxfile01/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psxfile01_exe_SOURCES = main.c test.c test_cat.c test_extend.c test_write.c ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psxfile01.scn
+dist_rtems_tests_DATA = psxfile01.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psxmount/Makefile.am
===================================================================
--- testsuites/psxtests/psxmount/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psxmount/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psxmount_exe_SOURCES = main.c test.c ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psxmount.scn
+dist_rtems_tests_DATA = psxmount.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psxmsgq01/Makefile.am
===================================================================
--- testsuites/psxtests/psxmsgq01/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psxmsgq01/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psxmsgq01_exe_SOURCES = init.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psxmsgq01.scn
+dist_rtems_tests_DATA = psxmsgq01.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psxreaddir/Makefile.am
===================================================================
--- testsuites/psxtests/psxreaddir/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psxreaddir/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psxreaddir_exe_SOURCES = main.c test.c ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psxreaddir.scn
+dist_rtems_tests_DATA = psxreaddir.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psxsem01/Makefile.am
===================================================================
--- testsuites/psxtests/psxsem01/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psxsem01/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psxsem01_exe_SOURCES = init.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psxsem01.scn
+dist_rtems_tests_DATA = psxsem01.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psxstat/Makefile.am
===================================================================
--- testsuites/psxtests/psxstat/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psxstat/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psxstat_exe_SOURCES = main.c test.c ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psxstat.scn
+dist_rtems_tests_DATA = psxstat.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psxtime/Makefile.am
===================================================================
--- testsuites/psxtests/psxtime/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psxtime/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psxtime_exe_SOURCES = main.c test.c
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psxtime.scn
+dist_rtems_tests_DATA = psxtime.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/psxtests/psxtimer/Makefile.am
===================================================================
--- testsuites/psxtests/psxtimer/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/psxtests/psxtimer/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 psxtimer_exe_SOURCES = psxtimer.c system.h ../include/pmacros.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = psxtimer.scn
+dist_rtems_tests_DATA = psxtimer.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/base_mp/node1/Makefile.am
===================================================================
--- testsuites/samples/base_mp/node1/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/base_mp/node1/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,8 +8,6 @@
 base_mp_node1_exe_SOURCES = ../init.c ../apptask.c ../system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = base_mp-node1.scn
-docdir = $(rtems_testsdir)
-dist_doc_DATA = base_mp-node1.doc
+dist_rtems_tests_DATA = base_mp-node1.scn
+dist_rtems_tests_DATA += base_mp-node1.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/base_mp/node2/Makefile.am
===================================================================
--- testsuites/samples/base_mp/node2/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/base_mp/node2/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,8 +8,6 @@
 base_mp_node2_exe_SOURCES = ../init.c ../apptask.c ../system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = base_mp-node2.scn
-docdir = $(rtems_testsdir)
-dist_doc_DATA = base_mp-node2.doc
+dist_rtems_tests_DATA = base_mp-node2.scn
+dist_rtems_tests_DATA += base_mp-node2.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/base_sp/Makefile.am
===================================================================
--- testsuites/samples/base_sp/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/base_sp/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,8 +8,6 @@
 base_sp_exe_SOURCES = init.c apptask.c system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = base_sp.scn
-docdir = $(rtems_testsdir)
-dist_doc_DATA = base_sp.doc
+dist_rtems_tests_DATA = base_sp.scn
+dist_rtems_tests_DATA += base_sp.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/cdtest/Makefile.am
===================================================================
--- testsuites/samples/cdtest/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/cdtest/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 cdtest_exe_SOURCES = init.c main.cc system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = cdtest.scn
+dist_rtems_tests_DATA = cdtest.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/fileio/Makefile.am
===================================================================
--- testsuites/samples/fileio/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/fileio/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -10,6 +10,5 @@
 fileio_exe_SOURCES = init.c system.h
 
-docdir = $(rtems_testsdir)
-dist_doc_DATA = fileio.doc
+dist_rtems_tests_DATA = fileio.doc
 endif
 
Index: testsuites/samples/hello/Makefile.am
===================================================================
--- testsuites/samples/hello/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/hello/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,8 +8,6 @@
 hello_exe_SOURCES = init.c system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = hello.scn
-docdir = $(rtems_testsdir)
-dist_doc_DATA = hello.doc
+dist_rtems_tests_DATA = hello.scn
+dist_rtems_tests_DATA += hello.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/iostream/Makefile.am
===================================================================
--- testsuites/samples/iostream/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/iostream/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,8 +8,6 @@
 iostream_exe_SOURCES = init.cc system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = iostream.scn
-docdir = $(rtems_testsdir)
-dist_doc_DATA = iostream.doc
+dist_rtems_tests_DATA = iostream.scn
+dist_rtems_tests_DATA += iostream.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/loopback/Makefile.am
===================================================================
--- testsuites/samples/loopback/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/loopback/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 loopback_exe_SOURCES = init.c
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = loopback.scn
+dist_rtems_tests_DATA = loopback.scn
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/minimum/Makefile.am
===================================================================
--- testsuites/samples/minimum/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/minimum/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,8 +8,6 @@
 minimum_exe_SOURCES = init.c
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = minimum.scn
-docdir = $(rtems_testsdir)
-dist_doc_DATA = minimum.doc
+dist_rtems_tests_DATA = minimum.scn
+dist_rtems_tests_DATA += minimum.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/paranoia/Makefile.am
===================================================================
--- testsuites/samples/paranoia/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/paranoia/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,6 +8,5 @@
 paranoia_exe_SOURCES = init.c paranoia.c system.h
 
-docdir = $(rtems_testsdir)
-dist_doc_DATA = paranoia.doc
+dist_rtems_tests_DATA = paranoia.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/ticker/Makefile.am
===================================================================
--- testsuites/samples/ticker/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/ticker/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,8 +8,6 @@
 ticker_exe_SOURCES = init.c tasks.c system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = ticker.scn
-docdir = $(rtems_testsdir)
-dist_doc_DATA = ticker.doc
+dist_rtems_tests_DATA = ticker.scn
+dist_rtems_tests_DATA += ticker.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: testsuites/samples/unlimited/Makefile.am
===================================================================
--- testsuites/samples/unlimited/Makefile.am	(revision 122e300fa5dbedbb0bc93a60ef34e06382d870b1)
+++ testsuites/samples/unlimited/Makefile.am	(revision d4f5ddcb850be96e83991e00d2392ff8b9b76bc7)
@@ -8,8 +8,6 @@
 unlimited_exe_SOURCES = init.c test1.c test2.c test3.c system.h
 
-scndir = $(rtems_testsdir)
-dist_scn_DATA = unlimited.scn
-docdir = $(rtems_testsdir)
-dist_doc_DATA = unlimited.doc
+dist_rtems_tests_DATA = unlimited.scn
+dist_rtems_tests_DATA += unlimited.doc
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
